# GpgFrontend Project: GpgFrontend::GpgKeyManager::AutomatonHandelStruct Struct Reference

GpgFrontend::GpgKeyManager::AutomatonHandelStruct Struct Reference
Collaboration diagram for GpgFrontend::GpgKeyManager::AutomatonHandelStruct:

## Public Member Functions

void | SetStatus (AutomatonState next_state)
AutomatonState | CuurentStatus ()
void | SetHandler (AutomatonNextStateHandler next_state_handler, AutomatonActionHandler action_handler)
AutomatonState | NextState (std::string gpg_status, std::string args)
Command | Action ()
void | SetSuccess (bool success)
bool | Success ()
std::string | KeyFpr ()
| AutomatonHandelStruct (std::string key_fpr)

## Private Attributes

AutomatonState | current_state_ = START
AutomatonNextStateHandler | next_state_handler_
AutomatonActionHandler | action_handler_
bool | success_ = false
std::string | key_fpr_

The documentation for this struct was generated from the following file:

- src/core/function/gpg/GpgKeyManager.h